fonts-cantarell (0.311-3) unstable; urgency=medium

  [ Bastian Germann ]
  * Build with skia-pathops

 -- Fabian Greffrath <fabian@debian.org>  Tue, 07 Apr 2026 14:53:52 +0200

fonts-cantarell (0.311-2) unstable; urgency=medium

  * Add Build-Depends: python3-uharfbuzz
  * Bump Standards-Version to 4.7.3, drop redundant Priority field
  * Drop patch to build without uharfbuzz

 -- Fabian Greffrath <fabian@debian.org>  Sat, 28 Feb 2026 21:22:43 +0100

fonts-cantarell (0.311-1) unstable; urgency=medium

  * Update debian/watch file to version 5, watch GNOME GitLab
    repository
  * New upstream version 0.311
  * Update Build-Depends: Remove pkgconf, appstream, psautohint,
    python3-statmake; replace afdko-bin by afdko, and fontmake by
    python3-fonttools, python3-ufo2ft and python3-ufolib2
  * Remove patches applied upstream, add new patch to not clean fonts
    until python3-uharfbuzz is available in Debian
  * Bump Standards-Version to 4.7.2
  * Remove redundant RRR: no
  * Update debian/copyright
  * Update, i.e. shorten package description
  * Run 'wrap-and-sort -ast'

 -- Fabian Greffrath <fabian@debian.org>  Wed, 07 Jan 2026 09:48:11 +0100

fonts-cantarell (0.303.1-4) unstable; urgency=medium

  * Create a debian/NEWS file to inform users about the requirement to
    restart the desktop session immediately after the font upgrade
  * Upload to unstable

 -- Fabian Greffrath <fabian@debian.org>  Tue, 18 Feb 2025 07:48:06 +0100

fonts-cantarell (0.303.1-3) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Add Build-Depends: python3-statmake and switch to variable font
    (Closes: #1095147)

  [ Fabian Greffrath ]
  * Explicitly build and install only the variable font
  * Update package description accordingly
  * Update my Debian packaging copyright
  * Upload to experimental

 -- Fabian Greffrath <fabian@debian.org>  Fri, 07 Feb 2025 10:41:50 +0100

fonts-cantarell (0.303.1-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Drop python3-distutils from Build-Depends (Closes: #1065860)

  [ Debian Janitor ]
  * Fix some issues reported by lintian
  * Remove an obsolete maintscript entry.
  * Remove constraints unnecessary since buster (oldstable)

  [ Jeremy Bícha ]
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 16:36:16 -0400

fonts-cantarell (0.303.1-1) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Update project homepage

  [ Hideki Yamane ]
  * New upstream version 0.303.1
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact,
    Repository-Browse.
  * debian/control
    - Update standards version to 4.6.1, no changes needed.
    - Add Rules-Requires-Root: no

 -- Hideki Yamane <henrich@debian.org>  Sun, 12 Jun 2022 17:19:03 +0900

fonts-cantarell (0.303-2) unstable; urgency=medium

  * Upload to unstable.
  * Replace our patch to build without pathops with the one accepted
    upstream.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 10 Dec 2021 10:23:37 +0100

fonts-cantarell (0.303-1) experimental; urgency=medium

  * Upload to experimental.

  [ Jeremy Bicha ]
  * New upstream release
  * Build-Depend on python3-distutils
  * Build-Depend on afdko-bin
  * debian/rules: Add /usr/libexec/afdko to $PATH during build

  [ Fabian Greffrath ]
  * New upstream version 0.303 (Closes: #953740).
  * Only build the static fonts, not the variable one. This saves us a
    Build-Depends on statmake, which is not yet in Debian.
  * Remove overlaps using the default "booleanOperations" algorithm.
    This saves us a Build-Depends on skia-pathops, which is not yet in
    Debian.
  * Remove *.pyc in the clean rule.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 06 Dec 2021 22:02:03 +0100

fonts-cantarell (0.111-3) unstable; urgency=medium

  * Add debian/salsa-ci.yml
  * Drop unnecessary debian/gbp.conf
  * debian/control
    - Update Maintainer address
    - Remove Christian Perrier from Uploaders (Closes: #927560)
    - Use dh13
    - Set Standards-Version: 4.5.0
  * debian/copyright
    - Update Source: URL to point gitlab.gnome.org
    - Remove unnecessary "Files-Excluded: prebuilt" to import orig tarball

 -- Hideki Yamane <henrich@debian.org>  Sun, 04 Oct 2020 17:41:22 +0900

fonts-cantarell (0.111-2) unstable; urgency=medium

  * Drop revert-require-new-fontmake-psautohint.patch
  * Bump Build-Depends on fontmake to 1.5.1 and psautohint to 1.7

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 11 Sep 2018 18:37:01 -0400

fonts-cantarell (0.111-1) unstable; urgency=medium

  * New upstream version 0.111
  * Modify revert-require-new-fontmake-psautohint.patch:
    - Don't pass unrecognized -qq to psautohint (Closes: #908020)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 08 Sep 2018 08:10:15 -0400

fonts-cantarell (0.110-1) unstable; urgency=medium

  * New upstream release
  * Add revert-require-new-fontmake-psautohint.patch:
    Build with the fontmake and psautohint versions we currently have
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 03 Sep 2018 12:16:14 -0400

fonts-cantarell (0.101-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete fontconfig symlink (Closes: #891589)
  * Fix font installation directory

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 15 Mar 2018 07:59:15 -0400

fonts-cantarell (0.100-2) experimental; urgency=medium

  * Fix font installation directory
  * Drop local version of AppStream metadata since upstream provides it now

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Feb 2018 22:06:29 -0500

fonts-cantarell (0.100-1) experimental; urgency=medium

  * New upstream release
    - Font has been redesigned. Note that glyph coverage in the font is
      not as complete as in the previous release.
  * Build with meson
  * Build with fontmake and psautohint instead of fontforge
  * Build-Depend on appstream
  * debian/copyright: Add prebuilt fonts to Files-Excluded
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Feb 2018 11:19:19 -0500

fonts-cantarell (0.0.25-4) unstable; urgency=medium

  * maintscript: Fix version for rm_conffile

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 29 Nov 2017 14:37:48 -0500

fonts-cantarell (0.0.25-3) unstable; urgency=medium

  * Team upload
  * Move fontconfig template from /etc/fonts/ to /usr/share/fontconfig/
  * Add AppStream metadata
  * Use debian/docs to install NEWS and README
  * Update debian/watch and Homepage
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Nov 2017 23:33:04 -0500

fonts-cantarell (0.0.25-2) unstable; urgency=medium

  * Build-Depend on a recent enough version of fontforge.
  * Remove all patches, not needed anymore.
  * Bump debhelper compat to 10.
  * Add Build-Depends on pkg-config.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 13 Nov 2016 17:29:27 +0100

fonts-cantarell (0.0.25-1) unstable; urgency=medium

  * Imported Upstream version 0.0.25 (Closes: #835154).

 -- Fabian Greffrath <fabian@debian.org>  Tue, 23 Aug 2016 22:10:47 +0200

fonts-cantarell (0.0.24-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #818964
  * Fixes width of some accented characters. Closes: #822762, #822689
  * debian/patches/build-with-old-fontforge.patch: disable
    SelectGlyphsSplines() call to work with older version of fontforge
    available in Debian.
  * Update Standards-Version to 3.9.8.
  * Update Vcs-Git and Vcs-Browser to use https URLs.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 06 May 2016 11:02:53 +0200

fonts-cantarell (0.0.21-1) unstable; urgency=medium

  * Imported Upstream version 0.0.21

 -- Fabian Greffrath <fabian@debian.org>  Sun, 24 Jan 2016 16:25:05 +0100

fonts-cantarell (0.0.18.1-1) unstable; urgency=medium

  * Imported Upstream version 0.0.18.1
  * Do not "touch src/*.sfd" in debian/rules anymore,
    remove otf/*.otf instead.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 09 Nov 2015 15:32:40 +0100

fonts-cantarell (0.0.17.2-1) unstable; urgency=medium

  * Imported Upstream version 0.0.17.2 (Closes: #802472)

 -- Fabian Greffrath <fabian@debian.org>  Tue, 20 Oct 2015 14:21:37 +0200

fonts-cantarell (0.0.17-1) unstable; urgency=medium

  * Imported Upstream version 0.0.17
    + baseline and bluezone fixes for autohinter to produce valid hints
    + many glyphs adjusted for baseline and proper hinting
  * Disable the patch to enforce auto-hinting for the time being.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 04 Oct 2015 10:10:24 +0200

fonts-cantarell (0.0.16-2) unstable; urgency=high

  * Reportedly, Cantarell looks blurry when rendered with the CFF
    engine enabled in freetype 2.6-1. As a work-around, force
    auto-hinting in the fontconfig snippet (Closes: #798805).

  * Clarify copyright of files in debian/*.
  * Run "wrap-and-sort -asb".
  * Update Uploaders field to my <fabian@debian.org> account.
  * Bump debhelper compat to 9.
  * Bump Standards-Version to 3.9.6.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 21 Sep 2015 08:31:44 +0200

fonts-cantarell (0.0.16-1) unstable; urgency=low

  * New upstream version. Closes: #762989
  * debian/copyright: no need to specify that debian/* use the same license
    as the font software. Tat also fixes a lintian warning, as the license short
    name wasn't specified.
  * Update Standards to 3.9.5 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sun, 28 Sep 2014 19:05:10 +0200

fonts-cantarell (0.0.15-1) unstable; urgency=low

  * Imported Upstream version 0.0.15
  * Touch the source files instead of removing the font files.
  * Bump Standards-Version: 3.9.4, no changes needed.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 02 Oct 2013 21:09:54 +0200

fonts-cantarell (0.0.14-1) unstable; urgency=low

  * Imported Upstream version 0.0.14
  * Fix Vcs-* fields in debian/control to point to the GIT repository,
    thanks Christian Perrier!
  * Add debian/gbp.conf for pristine-tar and xz upstream tarball compression.
  * Remove debian/clean, instead remove otf/*.otf during dh_auto_configure
    to force rebuild.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 26 Aug 2013 11:08:45 +0200

fonts-cantarell (0.0.13-1) unstable; urgency=low

  * merge upstream 0.0.13 (Closes: #712707)

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 19 Jun 2013 12:07:21 +0200

fonts-cantarell (0.0.11-1) experimental; urgency=low

  * merge upstream 0.0.10
    + Vertically align ¿ (U+00BF) and ¡ (U+00A1) (Closes: #681151).
  * merge upstream 0.0.10.1
    + Rebuild OTF fonts from SFD sources.
    + Use upstream's install rule.
    + Remove README.Debian, does not apply anymore.
  * Rename debian/bug/* to debian/fonts-cantarell.bug-*.
  * Add symlink for fontconfig file.
  * Add "Multi-Arch: foreign" control field
  * merge upstream 0.0.11

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 03 Dec 2012 10:08:04 +0100

fonts-cantarell (0.0.9-1) unstable; urgency=low

  * merge upstream 0.0.9

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 11 Jun 2012 11:30:25 +0200

fonts-cantarell (0.0.8-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * merge upstream 0.0.8
  * Update debian/watch to scan for the xz tarball.
  * Change Homepage field to point to the page at live.gnome.org.
  * Install NEWS via dh_installchangelogs and remove debian/docs.

  [ Christian Perrier ]
  * Use versioned copyright format
  * Update Standards to 3.9.3 (checked)

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Mar 2012 23:09:24 +0200

fonts-cantarell (0.0.7-2) unstable; urgency=low

  * Add myself to Uploaders.
  * Override upstream install rule to avoid installing font files
    twice (Closes: #662673).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 05 Mar 2012 17:12:06 +0100

fonts-cantarell (0.0.7-1) unstable; urgency=low

  [ Nicolas Spalinger ]
  * New upstream release . Closes: #645966
  * Updated watch file
  * Adjusted DEP5 formats
  * No more need to override dh_auto_build and dh_auto_configure

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Dec 2011 08:39:09 +0100

fonts-cantarell (0.0.6+git20110405-1) unstable; urgency=low

  * Initial Release. (Closes: #628812)
    A big thank you to Fabian Greffrath for starting off the packaging,
    and, of course, to Christian Perrier for pushing this forward.
  * Use GNOME git as "upstream" as of 2011-04-05
  * Follow the pkg-fonts conventions for naming

 -- Nicolas Spalinger <nicolas.spalinger@sil.org>  Wed, 28 Sep 2011 11:44:19 +0200
